
.bouncing-blob {
    width: 28vw;
    aspect-ratio: 1;
    border-radius: 50%;
    will-change: transform;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    transform-origin: left top;
}

.bouncing-blob--white {
    background: #ffffff;
    z-index: 2;
    width: 15vw;
}

.bouncing-blob--blue {
    background: hsl(213, 54%, 88%); /* 파란색 */
}

.bouncing-blob--purple {
    background: hsl(240, 80%, 88%); /* 보라색 */
}

.bouncing-blob--pink {
    background: hsl(322, 63%, 88%); /* 분홍색 */
}


.bouncing-blobs-container {
    position: fixed;
    z-index: -1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* 흐림처리 */
.bouncing-blobs-glass {
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(140px);
    -webkit-backdrop-filter: blur(140px);
    pointer-events: none;
}

.bouncing-blobs {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.hero {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.hero h2 {
    font-size: 70px;
    max-width: 800px;
    line-height: 1;
    text-align: center;
    font-weight: bold;
    text-transform: capitalize;
    margin-bottom: 20px;
    color: #021123;
}

.hero p {
    font-size: 24px;
    max-width: 500px;
    text-align: center;
    color: #021123;
}

@media (max-width: 1200px) {
    .bouncing-blobs-glass {
        backdrop-filter: blur(120px);
        -webkit-backdrop-filter: blur(120px);
    }
}

@media (max-width: 500px) {
    .bouncing-blob {
        width: 60vw;
    }

    .bouncing-blob--white {
        width: 30vw;
    }

    .bouncing-blobs-glass {
        backdrop-filter: blur(90px);
        -webkit-backdrop-filter: blur(90px);
    }

    .hero h2 {
        font-size: 32px;
    }

    .hero p {
        font-size: 16px;
        padding: 0 20px;
    }
}

.tutorial-link a {
    display: flex;
    justify-content: center;
    align-items: center;
    color: black;
    font-size: 20px;
    text-decoration: none;
    font-weight: 600;
    gap: 0 5px;
    border: 2px solid;
    border-radius: 5px;
    padding: 4px 10px;
}

.tutorial-link svg {
    width: 30px;
}

@media (max-width: 500px) {
    .tutorial-link a {
        font-size: 14px;
        padding: 2px 4px;
    }

    .tutorial-link svg {
        width: 15px;
    }
}